import Message from "./Message";
interface FileVo {
    text: string;
    name: string;
    file_type: string;
    size: string;
    bucketId: string;
}
interface TextItem {
    value: string;
    color?: string;
    t: string;
}
interface ButtonItem {
    txt: string;
    enableColor?: string;
    disableColor?: string;
    buttonId: string;
}
export interface CardMessageContentProps {
    icon: FileVo;
    text: TextItem[];
    buttons?: ButtonItem[];
}
declare class CardMessageContent extends Message {
    content: CardMessageContentProps;
    constructor(chatId: string, content: CardMessageContentProps);
}
export default CardMessageContent;
