import Message from "./Message";
import { AppInfo } from "@newSdk/service/api/openplatform";
import { ImageMedia } from "@newSdk/typings";
interface IContentProps {
    aid: string;
    description: string;
    icon: ImageMedia;
    logo: ImageMedia;
    name: string;
    type: number;
}
declare class MiniProgramContent extends Message {
    content: IContentProps;
    constructor(chatId: string | undefined, content: IContentProps);
    static transformAppletDetail(appletInfo: AppInfo): {
        aid: string;
        description: string;
        icon: ImageMedia;
        logo: ImageMedia;
        name: string;
        type: number;
    };
}
export default MiniProgramContent;
