import Message from "./Message";
import MomentsType from "../moments/instance/MomentsType";
import { ImageContentProps } from "@newSdk/model/message/ImageMessageContent";
interface IContentProps {
    uid: string;
    mid: string;
    type: MomentsType;
    contentType: number;
    text?: string;
    image: ImageContentProps;
}
export declare class MomentMessageContent extends Message {
    content: IContentProps;
    constructor(chatId: string, content: IContentProps);
}
export default MomentMessageContent;
