import { sendMessageHooks } from "./sendMessage";
import { Message } from "@newSdk/model/Message";
interface ResendConfig {
    isReSend: boolean;
    reSendHooks: sendMessageHooks;
}
export declare type Content<T = string> = {
    chatId: string;
    aChatId: string;
    type: number;
    mid: string;
    amid: string;
    extra?: Message["extra"];
    content: T;
};
export declare const sendDefaultMessage_: (message: Message, hooks?: sendMessageHooks) => Promise<void>;
export declare const sendMediaMessage_: (file: Blob, message: Message, hooks?: sendMessageHooks, handleProgress?: Function) => Promise<void>;
declare function HandleMessage(message: Message<any>, handleProgress?: Function, resendConfig?: ResendConfig, file?: Blob): Promise<void>;
export default HandleMessage;
