import { Avatar } from "@newSdk/model/types";
import { ImageMedia } from "@newSdk/typings";
declare function setThumb(reqWidth?: number, reqHeight?: number, { minHeight, minWidth, maxWidth, maxHeight }?: {
    minWidth: number;
    minHeight: number;
    maxWidth: number;
    maxHeight: number;
}): {
    width: number;
    height: number;
};
declare function preViewSize(width: number | string, height: number | string): {
    width: number;
    height: number;
};
export declare const transformMediaSource: (avatar: Avatar) => ImageMedia;
declare const _default: {
    setThumb: typeof setThumb;
    preViewSize: typeof preViewSize;
    downloadAvatar: (avatar?: Avatar | undefined) => Promise<any>;
    downloadOriginAvatarAndCompress: (avatar: Avatar) => Promise<any>;
    downloadOriginImage: (avatar: Avatar) => Promise<string | boolean>;
};
export default _default;
