/**
 * @description 可以去访问操作一个不确定的 数据结构, 兼容undefined 和 null 控制处理。类似于可选链
 * @example {
 * let data =  { children: []} || { error }
 * MayBe.of(data).map(item => item['children]).map(item => item.find(xxxx))
 * }
 */
export declare const MayBe: {
    (val: any): void;
    of(val: any): any;
};
export default MayBe;
