import { Message } from "@newSdk/model/Message";
export declare const encode: (content: any) => string;
export declare const decode: <T = any>(content: any) => T;
export declare const decodeList: (messages: Message[] | Message) => {
    id?: number | undefined;
    amid: string;
    mid: string;
    sequence?: number | undefined;
    chatId: string;
    aChatId: string;
    sender: string;
    type: number;
    status: number;
    content: string;
    timestamp: number;
    displayTime?: number | undefined;
    sendTime?: number | undefined;
    extra?: {
        mids?: string[] | undefined;
    } | undefined;
    local?: {
        notFriends?: boolean | undefined;
        sessionLastActionTime?: number | undefined;
        translate?: {
            text?: string | undefined;
            items?: import("../service/api/message/translate").ResponseItemV2 | undefined;
        } | undefined;
    } | undefined;
    deleteFlag?: number | undefined;
    at?: number | undefined;
} | {
    id?: number | undefined;
    amid: string;
    mid: string;
    sequence?: number | undefined;
    chatId: string;
    aChatId: string;
    sender: string;
    type: number;
    status: number;
    content: string;
    timestamp: number;
    displayTime?: number | undefined;
    sendTime?: number | undefined;
    extra?: {
        mids?: string[] | undefined;
    } | undefined;
    local?: {
        notFriends?: boolean | undefined;
        sessionLastActionTime?: number | undefined;
        translate?: {
            text?: string | undefined;
            items?: import("../service/api/message/translate").ResponseItemV2 | undefined;
        } | undefined;
    } | undefined;
    deleteFlag?: number | undefined;
    at?: number | undefined;
}[];
