/**
 * @Author Pull
 * @Date 2021-08-28 17:40
 * @project SYNC_OFFLINE
 */
interface ContentProps {
    device_name: string;
}
interface IProps<T = ContentProps> {
    content: T;
    tag: number;
    id: string;
}
export default class {
    static cmd: string;
    data: {
        content: {
            device_name: string;
        };
        tag: number;
        id: string;
    };
    constructor(data: IProps<string>);
}
export {};
