/**
 *
 * @typedef {import('antd/es/modal/Modal').ModalFuncProps} ModalFnProps
 */
/**
 * @typedef {import('antd/es/modal/Modal').ModalProps} ModalProps
 */
/**
 * @typedef {Object} ThemeExtra
 * @property {string} wrapClassName
 */
/**
 * @extends {React.Component<ModalProps & ThemeExtra>}
 * @property confirm()
 */
export class ThemeModal extends React.Component<import("antd/es/modal/Modal").ModalProps & ThemeExtra, any, any> {
    /**
     *
     * @param {ModalFnProps} props
     */
    static confirm: ({ className, ...props }: ModalFnProps) => {
        destroy: () => void;
        update: (configUpdate: import("antd").ModalFuncProps | ((prevConfig: import("antd").ModalFuncProps) => import("antd").ModalFuncProps)) => void;
    };
    /**
     * @param {{ a: string }} props
     */
    constructor(props: {
        a: string;
    });
    render(): JSX.Element;
}
export default ThemeModal;
export type ModalFnProps = import('antd/es/modal/Modal').ModalFuncProps;
export type ModalProps = import('antd/es/modal/Modal').ModalProps;
export type ThemeExtra = {
    wrapClassName: string;
};
import React from "react";
