export declare const limitImageMb = 25;
export declare const limitGifMb = 10;
export declare const limitFileMb = 500;
export declare const limitGifSize: number;
export declare const limitImageSize: number;
export declare const limitFileSize: number;
export declare const handleLocalMedia: (path: string) => Promise<false | {
    type: string;
    dataset: {
        localPath: any;
        width: any;
        height: any;
        name: any;
        objectId: any;
        ext: any;
        size: any;
        duration?: undefined;
        poster?: undefined;
        posterFullPath?: undefined;
    };
} | {
    type: string;
    dataset: {
        size: any;
        name: string;
        ext: any;
        duration: any;
        poster: any;
        localPath: any;
        objectId: any;
        posterFullPath: any;
        width?: undefined;
        height?: undefined;
    };
} | {
    type: string;
    dataset: {
        size: any;
        name: string;
        ext: any;
        objectId: any;
        localPath?: undefined;
        width?: undefined;
        height?: undefined;
        duration?: undefined;
        poster?: undefined;
        posterFullPath?: undefined;
    };
}>;
export declare const handleImageMedia: (file: File) => Promise<false | {
    type: string;
    dataset: {
        localPath: any;
        width: any;
        height: any;
        name: any;
        objectId: any;
        ext: any;
        size: any;
        duration?: undefined;
        poster?: undefined;
        posterFullPath?: undefined;
    };
} | {
    type: string;
    dataset: {
        size: any;
        name: string;
        ext: any;
        duration: any;
        poster: any;
        localPath: any;
        objectId: any;
        posterFullPath: any;
        width?: undefined;
        height?: undefined;
    };
} | {
    type: string;
    dataset: {
        size: any;
        name: string;
        ext: any;
        objectId: any;
        localPath?: undefined;
        width?: undefined;
        height?: undefined;
        duration?: undefined;
        poster?: undefined;
        posterFullPath?: undefined;
    };
}>;
export declare const handleFileMedia: (file: File, skipCheckIsVideo?: boolean) => Promise<false | {
    type: string;
    dataset: {
        localPath: any;
        width: any;
        height: any;
        name: any;
        objectId: any;
        ext: any;
        size: any;
        duration?: undefined;
        poster?: undefined;
        posterFullPath?: undefined;
    };
} | {
    type: string;
    dataset: {
        size: any;
        name: string;
        ext: any;
        duration: any;
        poster: any;
        localPath: any;
        objectId: any;
        posterFullPath: any;
        width?: undefined;
        height?: undefined;
    };
} | {
    type: string;
    dataset: {
        size: any;
        name: string;
        ext: any;
        objectId: any;
        localPath?: undefined;
        width?: undefined;
        height?: undefined;
        duration?: undefined;
        poster?: undefined;
        posterFullPath?: undefined;
    };
}>;
export default handleLocalMedia;
