export default class MessageType {
    static TextMessage: number;
    static ImgMessage: number;
    static AudioMessage: number;
    static VideoMessage: number;
    static AttachmentMessage: number;
    static RedBonusMessage: number;
    static CoinMessage: number;
    static RTCMessage: number;
    static MiniProgramMessage: number;
    static MomentShareMessage: number;
    static TransactionMessage: number;
    static RedBonusResultMessage: number;
    static MeetingMessage: number;
    static AtMessage: number;
    static DeleteSession: number;
    static UidText: number;
    static CardMessage: number;
    static UidTextA: number;
    static Notification: number;
    static DeleteFlagMessage: number;
    static ACKReadMessage: number;
    static _LocalTempTipMsg: number;
}
export declare const IntlTemplateGroupInfo: string[];
export declare class MediaDownloadStatus {
    static cached: number;
    static downloadError: number;
    static disable: number;
}
export declare const TransitionType: {
    Recharge: number;
    SendP2PRedEnvelope: number;
    ReceiveP2PRedEnvelope: number;
    P2PRedEnvelopeBack: number;
    SendGroupRedEnvelope: number;
    ReceiveGroupRedEnvelope: number;
    GroupRedEnvelopeBack: number;
    Transition: number;
    ScanAndQrCode: number;
    WithDrawCost: number;
    WithDrawBack: number;
    WithDrawServices: number;
    WithDrawServicesBack: number;
};
export declare namespace MessageContent {
    type MediaContent = {
        text: string;
        file_type: string;
        bucketId: string;
    };
    type ImageMessageContent = MediaContent & {
        width: number;
        height: number;
        isOrigin: number;
    };
    type AudioMessageContent = MediaContent & {
        duration: number;
    };
    type AttachMessageContent = MediaContent & {
        name: string;
        size: number;
    };
}
