import Message from "./Message";
interface IContentProps {
    objectId: string;
    name: string;
    fileType: string;
    duration: number;
    bucketId: string;
    poster: {
        width: number;
        height: number;
        objectId: string;
        fileType: string;
        bucketId: string;
    };
}
declare class VideoMessageContent extends Message {
    content: IContentProps;
    constructor(chatId: string, content: IContentProps);
}
export default VideoMessageContent;
