import { MessageItem, Spread } from "./PullMessage";
import { Message } from "@newSdk/model/Message";
export declare const sortWithMap: (sortList: Spread[], infoMap: {
    [key: string]: MessageItem;
}) => ({
    sequence: number;
    is_read: number;
    id: string;
    amid: string;
    chat_id: string;
    sender_id: string;
    content: string;
    create_time: number;
    update_time: number;
    displayTime: number;
    type: number;
    send_time: number;
    at?: number | undefined;
    extra: any;
    status: number;
} | null)[];
export declare const transformData: (item: MessageItem & Spread) => {
    mid: string;
    amid: string;
    chatId: string;
    sender: string;
    content: string;
    status: number;
    type: number;
    sequence: number;
    displayTime: number;
    timestamp: number;
    sendTime: number;
    deleteFlag: number;
    extra: any;
    at: number;
};
export declare const putUnreadIdsToMap: (map: Map<string, Set<String>>, item: MessageItem) => Promise<void>;
export declare const putAtType: (item: any) => void;
export declare const collectionClearSequence: (clearSessionBelowOrEqual: {
    [key: string]: number;
}, item: any) => {
    [x: string]: number;
} | undefined;
export declare const collectionDelIds: (allDelSet: string[], item: MessageItem) => string[];
export declare const collectionRevokeIds: (needRevokeMsgs: {
    [key: string]: {};
}, item: MessageItem) => {
    [key: string]: {};
};
export declare const updateMessageToRead_SyncSession: (unreadMap: Map<string, Set<string>>, groupByChatIdMap: {
    [chatId: string]: Message<string>;
}) => {
    groupByChatIdMap: {
        [chatId: string]: Message<string>;
    };
    ids: string[];
};
export declare const handleDeleteMessage: (ids: string[], currentList: Message[]) => Message[];
