export namespace supportEnumType {
    const DOWNLOAD_FAIL: string;
    const DOWNLOADING: string;
    const SEARCHLOADING: string;
    const AudioTrack_Other_Bg: string;
    const AudioTrack_My_Bg: string;
    const AudioTrack_My_Play: string;
    const RemoveItemIcon: string;
    const TMMIcon: string;
    const TMMLogoIcon: string;
    const AudioBtn_My_Play: string;
    const AudioBtn_My_Stop: string;
    const AudioBtn_Other_Play: string;
    const AudioBtn_Other_Stop: string;
    const Translate_Message_Fail: string;
}
export const ImageEnum: {
    [x: string]: {
        normal: any;
        dark: any;
        classNames?: undefined;
    } | {
        normal: any;
        dark: any;
        classNames: string;
    };
};
/**
 * @typedef {Object} IProps
 * @property { React.CSSProperties } overlayStyle
 * @property { string } enumType
 * @property { React.ImgHTMLAttributes } attrs
 */
/**
 *
 * @type { React.FunctionComponent<IProps>} props
 * @property { supportEnumType } supportEnumType
 */
export const ImageIcon: React.FunctionComponent<IProps>;
export default ImageIcon;
export type IProps = {
    overlayStyle: React.CSSProperties;
    enumType: string;
    attrs: React.ImgHTMLAttributes<any>;
};
import React from "react";
