/**
 * @Author Pull
 * @Date 2021-01-30 16:50
 * @project commonIcon
 */
export default class _default {
    /**
     * @description { moments 多个图片 查看更多 }
     */
    static MoreFileIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description { moments 点赞 爱心图标 }
     */
    static LikeHeartIcon({ bodyStyle, title, overlayClassName }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
        overlayClassName: any;
    }): JSX.Element;
    static LikeRedIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description { moments 评论图标 }
     */
    static CommentIcon({ bodyStyle, title, overlayClassName }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
        overlayClassName: any;
    }): JSX.Element;
    /**
     * @description { moments 转发图标 }
     */
    static ForwardIcon({ bodyStyle, title, overlayClassName }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
        overlayClassName: any;
    }): JSX.Element;
    /**
     * @description { moments 发布图片选择图标 }
     */
    static ImageFileIcon({ title, overlayClass, bodyStyle }: {
        title?: string | undefined;
        overlayClass: any;
        bodyStyle?: {} | undefined;
    }): JSX.Element;
    /**
     * @description { moments 发布 选择朋友 }
     */
    static PublishContactsIcon({ title, overlayClass, bodyStyle }: {
        title?: string | undefined;
        overlayClass: any;
        bodyStyle?: {} | undefined;
    }): JSX.Element;
    /**
     * @description { moments 发布权限 Don't share }
     */
    static PublishDontShareIcon({ title, overlayClass, bodyStyle }: {
        title?: string | undefined;
        overlayClass: any;
        bodyStyle?: {} | undefined;
    }): JSX.Element;
    /**
     * @description { moments 发布权限 private }
     */
    static PublishPrivateIcon({ title, overlayClass, bodyStyle }: {
        title?: string | undefined;
        overlayClass: any;
        bodyStyle?: {} | undefined;
    }): JSX.Element;
    /**
     * @description { moments 发布权限 public }
     */
    static PublishPublicIcon({ title, overlayClass, bodyStyle }: {
        title?: string | undefined;
        overlayClass: any;
        bodyStyle?: {} | undefined;
    }): JSX.Element;
    /**
     * @description { moments 发布权限 share with }
     */
    static PublishShareWithIcon({ title, overlayClass, bodyStyle }: {
        title?: string | undefined;
        overlayClass: any;
        bodyStyle?: {} | undefined;
    }): JSX.Element;
    /**
     * @description { moments item Non public }
     */
    static NonPublicIcon({ title, bodyStyle }: {
        title?: string | undefined;
        bodyStyle?: {} | undefined;
    }): JSX.Element;
    static Notification({ bodyStyle, title, overlayClassNames }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
        overlayClassNames: any;
    }): JSX.Element;
    static GreyMoreActionIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description { 三角警告图标 moments action}
     */
    static MomentsActionReport({ bodyStyle, overlayClass, title }: {
        bodyStyle?: {} | undefined;
        overlayClass: any;
        title?: string | undefined;
    }): JSX.Element;
    static MiniProIcon({ bodyStyle, overlayClassName, title }: {
        bodyStyle?: {} | undefined;
        overlayClassName?: string | undefined;
        title?: string | undefined;
    }): JSX.Element;
}
